Loading...
Searching...
No Matches
gr::msg_handler Class Referenceabstract

abstract class of message handlers More...

`#include <gnuradio/msg_handler.h>`

## Public Member Functions

virtual | ~msg_handler ()
virtual void | handle (message::sptr msg)=0
| handle `msg`

## Detailed Description

abstract class of message handlers

## Constructor & Destructor Documentation

## ~msg_handler()

virtual gr::msg_handler::~msg_handler | ( |  | ) |

virtual

## Member Function Documentation

## handle()

virtual void gr::msg_handler::handle | ( | message::sptr | msg | ) |

pure virtual

handle `msg`

Implemented in gr::msg_queue.

The documentation for this class was generated from the following file:

- msg_handler.h